# class Rinda::SimpleRenewer

An `SimpleRenewer` allows a `TupleSpace` to check if a `TupleEntry` is still alive.

### Public Class Methods

new(sec=180) click to toggle source

Creates a new `SimpleRenewer` that keeps an object alive for another `sec` seconds.

    # File lib/rinda/rinda.rb, line 314
    def initialize(sec=180)
      @sec = sec
    end

### Public Instance Methods

renew() click to toggle source

Called by the `TupleSpace` to check if the object is still alive.

    # File lib/rinda/rinda.rb, line 321
    def renew
      @sec
    end